<?php 	
    include_once('../../config.php');   	
    include_once(ABS_PATH.'/admin/login_check.php');     
    
        
        
                    if(isset($_POST['dnExc']))
                    {          
                            
                            header('Content-type: text/csv');
                            $date = "Customer-".date("d-M-Y")." Report";
                            header('Content-Disposition: attachment; filename=""'.$date.'".csv"'); 
                            // do not cache the file
                            header('Pragma: no-cache');
                            header('Expires: 0');
                              
                              
                            $file = fopen('php://output', 'w'); 
                            // send the column headers
                            fputcsv($file, array('UserId','Name','Phone'));   
                            $AllUsers = explode(",",$_POST['idS']);
                            
                            foreach ($AllUsers as $dt)
                            {        
                                    $stmt=$conn->prepare("select cuurentId,nm,phm  from   UI__Rgst where cuurentId=:cuurentId ");  
                                    $stmt->bindValue(':cuurentId', trim($dt) , PDO::PARAM_STR);
                                    $stmt->execute();  
                                    $Mnnnt = $stmt->fetch(PDO::FETCH_OBJ); 
                                    
                                    $Disk = null;
                                    $Disk['cuurentId'] = $Mnnnt->cuurentId;    
                                    $Disk['nm'] = $Mnnnt->nm;    
                                    $Disk['phm'] = $Mnnnt->phm;    
                                    fputcsv($file, $Disk);    
                            
                            } 
                        fclose($fp);     
                        die;
                         
                }
include ABS_PATH.'/admin/header.php';	        
?>  
        

<script>

    function DelteList(val)
    {
           
                    
                    var r = confirm("Do you really want to delete record !");
                    if (r == true) 
                    {    
                        $.ajax({
                        type: 'POST',
                        url: "../ajax/default.php",
                        //async: false,			 
                        data: {deleteTopup:1,val:val},	
                        success: function(ajaxresult){	     
                             
                            location.reload();	 	
                        },
                        error: function(XMLHttpRequest, textStatus, errorThrown) { 
                        alert('Error');
                        }
                        });
                    
                    }	  

              
    }
     
            
            function GetBalance(sr,Id)
            {
                
                    $.ajax({
                    type: 'POST',
                    url: "../../config.php",
                    //async: false,			 
                    data: {gtMybal:1,Id:Id,bYadmin:1},	  
                    success: function(ajaxresult)
                    {	      
                        $("#MyBal"+sr).html(ajaxresult);     
                    },
                    error: function(XMLHttpRequest, textStatus, errorThrown) 
                    { 
                    
                            alert('Error');
                            
                    }
                    });
            
            }
	
function del_record(val)
{

	var r = confirm("Do you really want to delete record !");
	if (r == true) {    
	$.ajax({
	type: 'POST',
	url: "../ajax/default.php",
	//async: false,			 
	data: {del_city_names:1,val:val},	  
	success: function(ajaxresult){	     
		location.reload();	 	
	},
	error: function(XMLHttpRequest, textStatus, errorThrown) { 
	alert('Error');
	}
	});
	
	}	  
	
}



$( document ).ready(function() 
{
    
   
    
    
    
    
     
});

var fruits = [];  
function ckkl(i)
    {
        
     
         $('#Chxk'+i).prop('checked', true); 
         fruits.push(i); 
         var  text = fruits.toString();    
         $("#idS").val(text);   
    }  
</script>
		 
		<div class="col-md-10">  
  			<div class="content-box-large">
  			    <form method="post" autocomplete="off"> 
  				<div class="panel-heading">
					<div class="panel-title"><h3>TopUp List  </h3></div>
					
			          <div align="right">  
					    <input type="submit"    class="btn btn-warning"  value="download Excel" name="dnExc"/>
					    <!--a href="javascript:void(0);" class="btn btn-warning" id="checkAll"> Test  </a-->
					</div>
					
				</div>
				
  				<div class="panel-body">
  					<table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-bordered" id="example">
						<thead>
							<tr>
								<th>Sr</th>
								<th>UserID</th>  
								<th>TopUp</th>  
								<th>Date</th>   
								<th>Action</th>  
							</tr>
						</thead>
						<tbody>
							<?php 
							
                                    $stmt=$conn->prepare("select  * from  UI__DChstr where Rid=:Rid order by id");  
                                    $stmt->bindValue(':Rid', $_REQUEST['cuurentId'] , PDO::PARAM_STR);
                                    $stmt->execute(); 
                                    $AllUsers = $stmt->fetchAll(PDO::FETCH_OBJ); 
                                    $sr = 1;
                                        
								  foreach($AllUsers as $users)
								  {    
							           
							?>
							<tr class="odd gradeX">
								<td><?php echo $sr++;?> </td>
								<td><?php echo $users->Rid;?></td>
								<td><?php echo $users->amt;?></td>
								<td><?php echo $users->Tdate;?></td>      
								<td><a href="javascript:void(0);" onclick="DelteList(<?php echo $users->id;?>)"> Delete </a></td>    
							</tr>  
							<?php } ?>
						</tbody>
					</table>
  				</div>
  				
  				<input name="idS"   id="idS" type="hidden" /> 
  				</form>
  			</div>  
		  </div>
		  
		</div>
    </div>

<?php  include ABS_PATH.'/admin/footer.php';	?>    